Table of Contents

## Name

XtAppAddWorkProc, XtRemoveWorkProc - Add and remove background processing procedures

## Syntax

XtWorkProcId XtAppAddWorkProc(XtAppContext app_context, XtWorkProc
  proc, XtPointer client_data);
void XtRemoveWorkProc(XtWorkProcId id);

## Arguments

app_context
  Specifies the application context that identifies the application.
client_data
  Specifies the argument that is to be passed to the specified procedure when it is called.
proc
  Specifies the procedure that isPr.
id
  Specifies which work procedure to remove.

## Description

The XtAppAddWorkProc function adds the specified work procedure for the application identified by app_context.

The XtRemoveWorkProc function explicitly removes the specified background work procedure.

## See Also

XtAppNextEvent(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also